This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 146460 - Need openIPMI driver to work with IBM's x336 BMC [PATCH]
Need openIPMI driver to work with IBM's x336 BMC [PATCH]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
: FutureFeature
Depends On:
Blocks: 156321
  Show dependency treegraph
 
Reported: 2005-01-28 10:35 EST by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
8 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:45:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sourceforge ipmi version 3.3 patch ported to RHEL3 U4 (253.33 KB, patch)
2005-01-28 10:51 EST, Peter Martuccelli
no flags Details | Diff

  None (edit)
Description Issue Tracker 2005-01-28 10:35:31 EST
Escalated to Bugzilla from IssueTracker
Comment 10 Peter Martuccelli 2005-01-28 10:51:15 EST
Created attachment 110354 [details]
sourceforge ipmi version 3.3 patch ported to RHEL3 U4

Patch is from Jack Vogel, should apply cleanly against the U4 base kernel,
2.4.21-27.EL.  Patch updates the ipmi driver to version 3.3.
Comment 11 Peter Martuccelli 2005-01-28 10:52:24 EST
diffstat 1106704617-ipmi-v3.3-patch
 Documentation/Configure.help        |   25
 Documentation/IPMI.txt              |  168 ++
 Makefile                            |    2
 drivers/char/Config.in              |    3
 drivers/char/ipmi/Makefile          |    8
 drivers/char/ipmi/ipmi_bt_sm.c      |  513 +++++++
 drivers/char/ipmi/ipmi_devintf.c    |  172 +-
 drivers/char/ipmi/ipmi_kcs_intf.c   |  393 +++--
 drivers/char/ipmi/ipmi_kcs_sm.c     |  153 +-
 drivers/char/ipmi/ipmi_kcs_sm.h     |   70 -
 drivers/char/ipmi/ipmi_msghandler.c | 1541 ++++++++++++++++++++---
 drivers/char/ipmi/ipmi_poweroff.c   |  543 ++++++++
 drivers/char/ipmi/ipmi_si.c         | 2361
++++++++++++++++++++++++++++++++++++
 drivers/char/ipmi/ipmi_si_sm.h      |  126 +
 drivers/char/ipmi/ipmi_smic_sm.c    |  599 +++++++++
 drivers/char/ipmi/ipmi_watchdog.c   |   27
 include/linux/ipmi.h                |  147 ++
 include/linux/ipmi_msgdefs.h        |   57
 include/linux/ipmi_smi.h            |   18
 kernel/panic.c                      |    2
 20 files changed, 6398 insertions(+), 530 deletions(-)
Comment 12 Peter Martuccelli 2005-01-28 10:59:14 EST
Patch has been tested by IBM on x343, e325, x336, x366, HS20, and x346. 

Has the patch been tested at any customer sites?  If we generate a
hotfix, or test, kernel are there any customers interested in testing
the impi driver?
Comment 13 Dustin Kirkland 2005-01-28 11:55:57 EST
IBM Crit Sit manager has a meeting scheduled for 4pm (Eastern) where
they will propose testing hotfix test kernel to customer--should have
answer to question in comment #12 at that time, if not before.
Comment 14 Dustin Kirkland 2005-01-28 14:18:50 EST
IBM customer has indicated that they would gladly take the hot fix. 
If Red Hat will branch CVS and build src and bin kernel rpms and post
externally, IBM will deploy at customer site asap.
Comment 18 Peter Martuccelli 2005-02-09 09:42:05 EST
Will review the updated patch and integrate with the patch used to
generate the test kernels.
Comment 20 Peter Martuccelli 2005-04-29 15:40:32 EDT
Waiting on final test results.
Comment 24 Chris McDermott 2005-05-16 02:29:00 EDT
Patch has been tested and verified to work on all systems that were previously 
not working, except for the IBM e325. A recent change in the BIOS has caused a 
potential regression. We are currently discussing with the BIOS guys. It 
appears as though the changes made in the BIOS are compliant with the IPMI 
specification. However, this still needs further analysis.
Comment 25 Peter Martuccelli 2005-05-25 13:01:07 EDT
Chris any update with your dealings with the BIOS group regarding the e325 system?  
Comment 26 Marty Wesley 2005-05-26 02:50:08 EDT
PM ACK for U6
Comment 29 Chris McDermott 2005-06-02 18:58:51 EDT
Peter, cc'ed Jack Vogel, so he can respond to your question, as he has been
working with the e325 BIOS guys and I have been on vacation, so I'm somewhat out
of touch here. 
Comment 30 Jack Vogel 2005-06-02 19:27:35 EDT
BTW, time has passed, there have been a couple subsequent fixes to the
driver that are important enough to pick up, so when the time comes to
take code can we try and do that?
Comment 31 Peter Martuccelli 2005-06-03 09:52:32 EDT
As long as we rerun all of the tests it should not be a problem.  

Updated request for v35 of the open ipmi driver.
Comment 35 Peter Martuccelli 2005-06-15 14:22:57 EDT
Jack - what is the determination on the e325 BIOS issue?  Move ahead with the
v35 version of the driver?  Let me know so I can get some test kernels created
for you, (and other sites). 
Comment 38 Peter Martuccelli 2005-06-30 09:20:13 EDT
Working on the v35 version for inclusion in RHEL3 U6.
Comment 41 Peter Martuccelli 2005-07-08 08:47:42 EDT
Patch posted for inclusion in RHEL3 U6.
Comment 42 Ernie Petrides 2005-07-20 03:38:53 EDT
The OpenIPMI driver update has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-33.EL).
Comment 46 Larry Troan 2005-08-09 13:07:54 EDT
Bugzilla to track fix per comment #45 is Bug 165467.
Comment 48 Red Hat Bugzilla 2005-09-28 10:45:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.